Bug 494127 - system-config-lvm crashes on lvs with corelog
system-config-lvm crashes on lvs with corelog
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
:
Depends On: 516609
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-04 15:52 EDT by Zach Carter
Modified: 2009-08-26 22:15 EDT (History)
8 users (show)

See Also:
Fixed In Version: 1.1.9-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 229234
Environment:
Last Closed: 2009-08-26 22:15:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to fix 2nd problem (567 bytes, patch)
2009-08-20 10:36 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Description Zach Carter 2009-04-04 15:52:56 EDT
+++ This bug was initially created as a clone of Bug #229234 +++

Description of problem:
system-config-lvm will crash out while trying to load lvm data if any logical
volume has mirroring created with the --corelog option (ie, no mirrorlog
partition). 

Version-Release number of selected component (if applicable):
system-config-lvm-1.0.18-1.2.FC6

How reproducible:
always

Steps to Reproduce:
1. create a mirrored lv with in-memory log (assumes you've created a vg with 2
disks, and that you have an up to date lvm (lvm2-2.02.17-1.fc6) where the
following command works):
lvcreate -n mtest2 -l 100 -m 1 --corelog /dev/vg01
2. system-config-lvm
3. observe the pretty traceback
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/system-config-lvm", line 103, in on_reload
    self.volume_tab_view.reset_tree_model()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 173, in
reset_tree_model
    self.prepare_tree()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 238, in
prepare_tree
    self.model_factory.reload()
  File "/usr/share/system-config-lvm/lvm_model.py", line 163, in reload
    self.__link_mirrors()
  File "/usr/share/system-config-lvm/lvm_model.py", line 567, in
__link_mirrors
    log_lv = vg.get_lvs()[lv.get_mirror_log()]
KeyError: ''


Expected results:
The usual pretty picture of my volumes and disks and no crash.

Additional info:

--- Additional comment from drobinso@redhat.com on 2007-07-06 23:09:27 EDT ---

Created an attachment (id=158711)
patch corrects the problem


--- Additional comment from drobinso@redhat.com on 2007-07-06 23:10:46 EDT ---

Created an attachment (id=158712)
2nd part of the patch to correct the problem


--- Additional comment from drobinso@redhat.com on 2007-07-11 10:17:19 EDT ---

Created an attachment (id=158952)
updated patch

the original patch left both halves of the mirror showing. this patch shows the
correct output.

--- Additional comment from drobinso@redhat.com on 2007-07-15 02:24:02 EDT ---

Created an attachment (id=159275)
opps...


--- Additional comment from drobinso@redhat.com on 2007-07-19 04:51:47 EDT ---

Created an attachment (id=159580)
updated patch

the if-break statement in the previous patch was incorrect and a result of the
first incorrect patch. its no longer needed with the updated patch.

--- Additional comment from rkhadgar@redhat.com on 2008-04-01 06:23:38 EDT ---

reproducible on f8.

--- Additional comment from fedora-triage-list@redhat.com on 2008-11-26 02:11:23 EDT ---


This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fedora-triage-list@redhat.com on 2009-01-08 23:35:48 EDT ---


Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from z.carter@f5.com on 2009-04-04 15:19:48 EDT ---

I am able to reproduce this bug against Fedora 10
Comment 1 Zach Carter 2009-07-29 13:44:11 EDT
Same bug found in Fedora 11
Comment 2 Fedora Update System 2009-08-20 08:49:33 EDT
system-config-lvm-1.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-lvm-1.1.8-1.fc11
Comment 3 Zach Carter 2009-08-20 10:17:11 EDT
The update produced a different traceback error for me:

Traceback (most recent call last):
  File "/usr/sbin/system-config-lvm", line 173, in <module>
    runFullGUI()
  File "/usr/sbin/system-config-lvm", line 158, in runFullGUI
    blvm = baselvm(glade_xml, app)
  File "/usr/sbin/system-config-lvm", line 108, in __init__
    self.volume_tab_view = Volume_Tab_View(glade_xml, self.lvmm, self.main_win)
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 133, in __init__
    self.prepare_tree()
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 214, in prepare_tree
    self.model_factory.reload()
  File "/usr/share/system-config-lvm/lvm_model.py", line 164, in reload
    self.__PVs = self.__query_partitions()
  File "/usr/share/system-config-lvm/lvm_model.py", line 246, in __query_partitions
    fs = self.__getFS(path)
  File "/usr/share/system-config-lvm/lvm_model.py", line 1017, in __getFS
    filesys = Filesystem.get_fs(path)
  File "/usr/share/system-config-lvm/Filesystem.py", line 32, in get_fs
    for fs in get_filesystems():
  File "/usr/share/system-config-lvm/Filesystem.py", line 57, in get_filesystems
    return [NoFS(), ext4(), ext3(), ext2(), gfs2(), gfs2_clustered(), gfs(), gfs_clustered(), xfs()]
  File "/usr/share/system-config-lvm/Filesystem.py", line 924, in __init__
    clustername = self.__get_cluster_name()
  File "/usr/share/system-config-lvm/Filesystem.py", line 1062, in __get_cluster_name
    return Cluster().get_name()
  File "/usr/share/system-config-lvm/Cluster.py", line 23, in get_name
    return self.__get_info()[0]
  File "/usr/share/system-config-lvm/Cluster.py", line 32, in __get_info
    mtime = os.stat('/etc/cluster/cluster.conf').st_mtime
OSError: [Errno 2] No such file or directory: '/etc/cluster/cluster.conf'
Comment 4 Marek Grac 2009-08-20 10:36:12 EDT
Created attachment 358107 [details]
Proposed patch to fix 2nd problem

confirmed - bug in upstream introduced with caching of cluster.conf

patch attached
Comment 5 Fedora Update System 2009-08-20 18:50:37 EDT
system-config-lvm-1.1.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-lvm-1.1.9-1.fc11
Comment 6 Zach Carter 2009-08-20 22:06:59 EDT
confirmed - the bug is fixed with the 11.1.9-1 update

thanks!
Comment 7 Fedora Update System 2009-08-21 20:55:58 EDT
system-config-lvm-1.1.9-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-lvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8827
Comment 8 Fedora Update System 2009-08-26 22:15:15 EDT
system-config-lvm-1.1.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.